Bug 86867 - Bidi error in inserted fields
Summary: Bidi error in inserted fields
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-11-30 06:03 UTC by Gil Shwartz
Modified: 2018-11-06 03:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bidi fields rendering error examples (16.33 KB, application/vnd.oasis.opendocument.text)
2014-11-30 06:03 UTC, Gil Shwartz
Details
Visual screen capture of bug on LO 5.2.1 (36.11 KB, image/png)
2016-09-20 16:16 UTC, Gil Shwartz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gil Shwartz 2014-11-30 06:03:40 UTC
Created attachment 110256 [details]
Bidi fields rendering error examples

Field with mixed LTR and RTL content are not rendered correctly when inserted into a document, possibly when a natural character is involved. Typing the same content directly in the document produces the correct rendering.
Comment 1 Buovjaga 2014-12-16 14:36:26 UTC
Confirmed -> NEW.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 170616e9f2d30c1302bbb5a7a4b588bc05cd5cc9
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-12_01:58:46
Comment 2 Buovjaga 2015-01-12 16:07:44 UTC
Bug present in 3.3.0.

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2016-09-20 10:28:25 UTC Comment hidden (obsolete)
Comment 4 Gil Shwartz 2016-09-20 16:15:40 UTC
Bug still exists in 5.2.1 on Linix Mint 17.3 (Ubuntu 14.04).
Comment 5 Gil Shwartz 2016-09-20 16:16:42 UTC
Created attachment 127478 [details]
Visual screen capture of bug on LO 5.2.1
Comment 6 Xisco Faulí 2017-09-29 08:50:53 UTC Comment hidden (obsolete)
Comment 7 Lior Kaplan 2017-10-02 21:39:09 UTC
Still happens in 5.4.1
Comment 8 Omer Zak 2017-11-05 12:27:43 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
(Build from 2017-Nov-05 00:00)

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 9 QA Administrators 2018-11-06 03:56:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug